> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unomiq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Application

> Get details for an application.

Retrieve detailed information for an application by its ID.
Requires the `read:applications` permission, available to users with a `member` or `owner` role in the organization, or to API keys with this permission assigned.

Returns:
    Object with application details



## OpenAPI

````yaml GET /applications/{app_id}
openapi: 3.1.0
info:
  title: Unomiq Management API
  description: >-

    API for managing settings for organizations, applications and API keys.


    ## Authentication


    All API endpoints require authentication via JWT token in the Authorization
    header:


    ```

    Authorization: Bearer <your_jwt_token>

    ```
        
  version: 1.0.0
servers:
  - url: https://management-api.unomiq.com
    description: Production
security: []
paths:
  /applications/{app_id}:
    get:
      tags:
        - applications
      summary: Get Application
      description: >-
        Get details for an application.


        Retrieve detailed information for an application by its ID.

        Requires the `read:applications` permission, available to users with a
        `member` or `owner` role in the organization, or to API keys with this
        permission assigned.


        Returns:
            Object with application details
      operationId: get_application_applications__app_id__get
      parameters:
        - name: app_id
          in: path
          required: true
          schema:
            type: string
            title: App Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplicationDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApplicationDetail:
      properties:
        id:
          type: string
          title: Id
        organization_id:
          type: string
          title: Organization Id
        name:
          type: string
          title: Name
        region:
          type: string
          title: Region
        pricing_plan:
          type: string
          title: Pricing Plan
        created_at:
          type: string
          title: Created At
        updated_at:
          type: string
          title: Updated At
      type: object
      required:
        - id
        - organization_id
        - name
        - region
        - pricing_plan
        - created_at
        - updated_at
      title: ApplicationDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````